<wo:Wrapper>
	<wo:CktlBreadcrumb>
		<wo:CktlBreadcrumbElement action = "$retourAccueil" text = "Accueil"/>
		<wo:CktlBreadcrumbElement action = "$retourContratRecherche" text = "Contrats de recherche"/>
		<wo:CktlBreadcrumbElement text = "Recherche"/> 
	</wo:CktlBreadcrumb>
	<div id = "contenu" style="text-align: center;">
	
  <wo:AjaxUpdateContainer id = "$formulaireRechercheAapId">
    <wo:WOForm>
      <table class = "form">
        <tbody>
          <tr>
            <td>Ann&eacute;e</td>
            <td>
              <wo:AjaxObserveField> <wo:WOTextField value = "$criteres.annee" size = "4" numberformat = "0"/> </wo:AjaxObserveField>
            </td>
          </tr>
          <tr>
            <td>Num&eacute;ro</td>
            <td>
              <wo:AjaxObserveField> <wo:WOTextField value = "$criteres.numero" size = "4" numberformat = "0"/> </wo:AjaxObserveField>
            </td>
          </tr>
          <tr>
            <td>Acronyme</td>
            <td>
              <wo:AjaxObserveField> <wo:WOTextField value = "$criteres.token" size = "20"/> </wo:AjaxObserveField>
            </td>
          </tr>
          <tr>
            <td>Laboratoire</td>
            <td> <webobject name = "StructureRechercheAutoComplete" /> </td>
          </tr>
          <tr>
            <td> Responsable scientifique</td>
            <td> <webobject name = "ResponsableScientifiqueSelect" /> </td>
          </tr>
          <tr>
            <td>Partenaire</td>
            <td><webobject name = "PartenaireSelect" /> </td>
          </tr>
          <tr>
            <td>Autres contrats</td>
            <td> <wo:AjaxObserveField> <webobject name = "AutresQueRecherche" /></wo:AjaxObserveField> </td>
          </tr>
        </tbody>
      </table>
      <div style="padding: 10px;">
        <webobject name = "SbLancerRecherche" />
        <webobject name = "AulRazRecherche"/>
      </div>
    </wo:WOForm>
  </wo:AjaxUpdateContainer>
  <wo:AjaxUpdateContainer id = "$contratTableViewContainerId">
     <wo:conditional condition = "$hasResultatsDeRecherche">
        <webobject name = "ContratsSimpleTableView"> 
            <wo:CktlAjaxSimpleTableViewHeader>
                <wo:CktlAjaxSimpleTableViewColumn label = "Année" sortKeypath = "annee" class="alignToCenter nowrap"/> 
                <wo:CktlAjaxSimpleTableViewColumn label = "Numéro" sortKeypath = "numero" class="alignToCenter nowrap"/>
                <wo:CktlAjaxSimpleTableViewColumn label = "Objet" sortKeypath = "objet" class="alignToCenter nowrap"/>
                <wo:CktlAjaxSimpleTableViewColumn label = "Recherche" sortKeypath = "typeRechercheDisplayString" class="alignToCenter nowrap"/>
                <wo:CktlAjaxSimpleTableViewColumn label = "Type contrat" sortKeypath = "typeContrat" class="alignToCenter nowrap"/>
                <wo:CktlAjaxSimpleTableViewColumn label = "Suivi" sortKeypath = "suiviAdministratif" class="alignToCenter nowrap"/>   
            </wo:CktlAjaxSimpleTableViewHeader>
            <wo:CktlAjaxSimpleTableViewBody>
                <td class = "alignToCenter useMinWidth nowrap"><wo:string value = "$contratCourant.annee" valueWhenEmpty = "-"/></td>
                <td class = "alignToCenter useMinWidth nowrap"><wo:string value = "$contratCourant.numero" valueWhenEmpty = "-"/></td>
                <td><wo:string value = "$contratCourant.objet" valueWhenEmpty = "-"/></td>
                <td class = "alignToCenter useMinWidth nowrap"><wo:string value = "$contratCourant.isTypeRechercheDisplayString" valueWhenEmpty = "-"/></td>
                <td><wo:string value = "$contratCourant.typeContrat" valueWhenEmpty = "-"/></td>
                <td><wo:string value = "$contratCourant.suiviAdministratif" valueWhenEmpty = "-"/></td>
            </wo:CktlAjaxSimpleTableViewBody>
            <wo:CktlAjaxSimpleTableViewToolbar>
            	<webobject name = "ExportExcel"/>
            	<webobject name = "ExportExcelValo"/>            	
            </wo:CktlAjaxSimpleTableViewToolbar>
        </webobject>


     </wo:conditional>
  </wo:AjaxUpdateContainer>
  <wo:AjaxUpdateContainer id = "$contratDisplayContainerId">
      <div class="box">
        <div class="boxTitre">D&eacute;tails du contrat de recherche</div>
          <wo:ERXNonZeroConditional condition = "$dgContratRecherche.allObjects.count">
            <wo:conditional condition = "$isContratRecherche">
	          <webobject name = "ContratRechercheResume" />
              <center>
            
	            <div style = "padding: 10px;">
	                <webobject name = "VoirContratEnConsultation" />
	                <webobject name = "VoirContratEnModification" />
	                <webobject name="ImprimerFicheContratButton"/> 
	                
	            </div>
	          </center>
          </wo:conditional>
          <wo:else>
	          <div>Ce contrat a été créé avec une autre application que Sangria et par conséquent ne prend pas en compte
	            les spécificités de la recherche. Pour les activer, cliquez sur le bouton ci-dessous</div>
	          <webobject name = "CreerContratRechercheButton" />
          </wo:else>
          </wo:ERXNonZeroConditional> 
          <wo:else>
                  Aucun contrat n'a été sélectionné.
          
          </wo:else>
                </div>
          
  </wo:AjaxUpdateContainer>
  </div>
</wo:Wrapper>
